Bug 1342146 - flannel build failed on secondary arch ppc64le
Summary: flannel build failed on secondary arch ppc64le
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flannel
Version: 24
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-06-02 14:14 UTC by Menanteau Guy
Modified: 2016-07-10 06:00 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-10 06:00:33 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2016-06-02 14:14:14 UTC
I am trying to build flannel-0.5.5-5 on a secondary ppc64le arch but I got following problem:

# github.com/coreos/flannel/backend/awsvpc
src/github.com/coreos/flannel/backend/awsvpc/awsvpc.go:97: cannot use aws.Config literal (type *aws.Config) as type "github.com/aws/aws-sdk-go/aws/client".ConfigProvider in argument to ec2.New:
        *aws.Config does not implement "github.com/aws/aws-sdk-go/aws/client".ConfigProvider (missing ClientConfig method)

I am using a f24 build machine with golang-1.6.2-1.fc24 and golang-github-aws-aws-sdk-go-devel-1.1.3-1.fc24

Comment 1 Jan Chaloupka 2016-06-02 14:17:16 UTC
Most likely, flannel needs to be patched. I have recently updated golang-github-aws-aws-sdk-go-devel package to newer version. Which is not backward compatible. Meantime, you can scratch build from bundled deps.

Comment 2 Jan Chaloupka 2016-06-03 09:17:47 UTC
I have patch flannel based on aws commit [1].
At the same time rawhide has etcd3 instead of etcd2 which changes its API as well [2].

Menanteau, can you test [3] build if it works? I have pushed the changes into master dist-git. In order to build it for f24, comment out application of patch3 in %prep section. Currently, ppc64-koji seems to be broken.

I have not tested if flannel actually works. I have just patch the code based on the notes from both [1] and [2] commits.

[1] https://github.com/aws/aws-sdk-go/commit/1a69d069352edadd48f12b0f2c5f375de4a636d7
[2] https://github.com/coreos/etcd/commit/9673eb625a4c33faa17cb7129e60930b3c1f6468

[3] http://koji.fedoraproject.org/koji/taskinfo?taskID=14363686

Comment 3 Menanteau Guy 2016-06-03 14:48:15 UTC
I built locally flannel-0.5-6 got from http://koji.fedoraproject.org/koji/taskinfo?taskID=14363686 with the patch 3 commanted and it built ok

note that I was able to do a "koji build --scratch" on secondary 
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3431876

Comment 4 Jan Chaloupka 2016-06-03 20:42:56 UTC
Does the flannel work for you? Do you have a set of tests (or use cases) you could run the flannel on to see if it works for you?

Comment 5 Menanteau Guy 2016-06-06 07:17:10 UTC
I didn't test it functionally, I don't have any set of tests to run.

Comment 6 Fedora Update System 2016-06-07 17:57:46 UTC
flannel-0.5.5-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-712bd8400b

Comment 7 Fedora Update System 2016-06-08 17:55:53 UTC
flannel-0.5.5-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-712bd8400b

Comment 8 Fedora Update System 2016-07-10 06:00:30 UTC
flannel-0.5.5-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.